hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thejas M Nair (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-13931) Add support for HikariCP connection pooling
Date Thu, 17 Nov 2016 18:26:58 GMT

     [ https://issues.apache.org/jira/browse/HIVE-13931?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Thejas M Nair updated HIVE-13931:
---------------------------------
    Description: 
Currently, we use BoneCP as our primary connection pooling mechanism (overridable by users).
However, BoneCP is no longer being actively developed, and is considered deprecated, replaced
by HikariCP.

Thus, we should add support for HikariCP, and try to replace our primary usage of BoneCP with
it.
Note : bonecp is still the default for now, the version of hikaricp being used requires java
8 runtime.


  was:
Currently, we use BoneCP as our primary connection pooling mechanism (overridable by users).
However, BoneCP is no longer being actively developed, and is considered deprecated, replaced
by HikariCP.

Thus, we should add support for HikariCP, and try to replace our primary usage of BoneCP with
it.
Note : 


> Add support for HikariCP  connection pooling
> --------------------------------------------
>
>                 Key: HIVE-13931
>                 URL: https://issues.apache.org/jira/browse/HIVE-13931
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>            Reporter: Sushanth Sowmyan
>            Assignee: Prasanth Jayachandran
>             Fix For: 2.2.0
>
>         Attachments: HIVE-13931.2.patch, HIVE-13931.3.patch, HIVE-13931.4.patch, HIVE-13931.patch
>
>
> Currently, we use BoneCP as our primary connection pooling mechanism (overridable by
users). However, BoneCP is no longer being actively developed, and is considered deprecated,
replaced by HikariCP.
> Thus, we should add support for HikariCP, and try to replace our primary usage of BoneCP
with it.
> Note : bonecp is still the default for now, the version of hikaricp being used requires
java 8 runtime.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message